SubscriptionHandler Class Referenceabstract

`#include <subscriptionhandler.h>`

Inheritance diagram for SubscriptionHandler:
[legend]

## Public Member Functions

virtual | ~SubscriptionHandler ()
virtual void | handleSubscription (const Subscription &subscription)=0

## Detailed Description

A virtual interface which can be reimplemented to receive incoming subscription stanzas.

Derived classes can be registered as SubscriptionHandlers with the Client. Upon an incoming Subscription packet handleSubscription() will be called.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Definition at line 29 of file subscriptionhandler.h.

## Constructor & Destructor Documentation

## ~SubscriptionHandler()

virtual ~SubscriptionHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 35 of file subscriptionhandler.h.

## Member Function Documentation

## handleSubscription()

virtual void handleSubscription | ( | const Subscription & | subscription | ) |

pure virtual

Reimplement this function if you want to be notified about incoming subscriptions/subscription requests.

Parameters

  subscription | The complete Subscription stanza.

Since
  1.0

Implemented in RosterManager.

The documentation for this class was generated from the following file:

- subscriptionhandler.h